Bug 196736 - Unable to reactivate settings Auto Popup Completion Window for HTML
Unable to reactivate settings Auto Popup Completion Window for HTML
Status: VERIFIED FIXED
Product: web
Classification: Unclassified
Component: HTML Editor
7.0
PC Windows XP
: P2 (vote)
: 7.0
Assigned To: Marek Fukala
issues@javaee
: 70_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-15 16:59 UTC by Vladimir Riha
Modified: 2011-03-17 14:42 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Riha 2011-03-15 16:59:59 UTC
Fresh install of RC, new user dir.

If you go to main menu Tools|Options, Editor tab and Code Completion, there is a list of languages. Choose HTML and uncheck "Auto Popup Completion Window". Press OK. Now you can go to the same menu to verify, that it is unchecked. Now check it back (enable it again) and press OK. Go to the same menu, this choice is unchecked. I repeated it several times and I didn't find a way to make it checked. Restarting IDE doesn't help.

Product Version: NetBeans IDE 7.0 RC1 (Build 201103150000)
Java: 1.6.0_24; Java HotSpot(TM) Client VM 19.1-b02
System: Windows XP version 5.1 running on x86; Cp1250; cs_CZ (nb)
Comment 1 Marek Fukala 2011-03-16 13:14:44 UTC
fixed in web-main#817ad86bbec8

Since the user is not able to normally reenable the feature this should be fixed in 7.0. The fix just corrects a kind of typo so it is 100% safe.

Vladimire, please verify. Thanks.
Comment 2 Vladimir Riha 2011-03-17 08:17:23 UTC
I won't be able to verify it in time, but probably about 18:00 CET. Tomas, could you please verify that? Thanks
Comment 3 Quality Engineering 2011-03-17 09:53:58 UTC
Integrated into 'main-golden', will be available in build *201103170400* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/817ad86bbec8
User: Marek Fukala <mfukala@netbeans.org>
Log: #196736 - Unable to reactivate settings Auto Popup Completion Window for HTML
Comment 4 ttokoly 2011-03-17 10:18:10 UTC
Product Version: NetBeans IDE Dev (Build 201103170400)
Java: 1.6.0_24; Java HotSpot(TM) Client VM 19.1-b02
System: Linux version 2.6.32-29-generic running on i386; UTF-8; en_US (nb)

You are welcome - verified, works for me!
Comment 5 Marek Fukala 2011-03-17 14:42:27 UTC
fixed in 7.0 http://hg.netbeans.org/releases/rev/e9d97e1a104a


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo